import axios from 'axios';
import {hideLoading, showLoading} from './loading'

axios.defaults.baseURL = 'http://localhost:8080'
axios.defaults.timeout = 10000

const service = axios.create()

service.interceptors.request.use(config => {
    showLoading()
    return config
})

service.interceptors.response.use(response => {
    hideLoading()
    if (response.data.type === 'application/json') {
        if (response.data.code !== 200) {
            return Promise.reject(response);
        }
    }
    return response
})

export default service